package cn.iocoder.yudao.module.mes.dal.mysql.zjtaskresults;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.mes.dal.dataobject.zjtaskresults.ZjTaskResultsDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.mes.controller.admin.zjtaskresults.vo.*;

/**
 * 检验任务-检验结果 Mapper
 *
 * @author 必硕科技
 */
@Mapper
public interface ZjTaskResultsMapper extends BaseMapperX<ZjTaskResultsDO> {

    default PageResult<ZjTaskResultsDO> selectPage(ZjTaskResultsPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<ZjTaskResultsDO>()
                .eqIfPresent(ZjTaskResultsDO::getZjType, reqVO.getZjType())
                .likeIfPresent(ZjTaskResultsDO::getName, reqVO.getName())
                .eqIfPresent(ZjTaskResultsDO::getRemark, reqVO.getRemark())
                .eqIfPresent(ZjTaskResultsDO::getTool, reqVO.getTool())
                .eqIfPresent(ZjTaskResultsDO::getStandardVal, reqVO.getStandardVal())
                .eqIfPresent(ZjTaskResultsDO::getUnit, reqVO.getUnit())
                .eqIfPresent(ZjTaskResultsDO::getUpperVal, reqVO.getUpperVal())
                .eqIfPresent(ZjTaskResultsDO::getLowerVal, reqVO.getLowerVal())
                .eqIfPresent(ZjTaskResultsDO::getZjResult, reqVO.getZjResult())
                .eqIfPresent(ZjTaskResultsDO::getImages, reqVO.getImages())
                .betweenIfPresent(ZjTaskResultsDO::getZjTime, reqVO.getZjTime())
                .eqIfPresent(ZjTaskResultsDO::getTaskId, reqVO.getTaskId())
                .betweenIfPresent(ZjTaskResultsDO::getCreateTime, reqVO.getCreateTime())
                .eqIfPresent(ZjTaskResultsDO::getDeviceId, reqVO.getDeviceId())
                .orderByDesc(ZjTaskResultsDO::getId));
    }

}